import * as React from 'react';
import { ApolloClientOptions, InMemoryCacheConfig, NormalizedCacheObject } from '@apollo/client';
import { MockedResponse } from '@apollo/client/testing';
import { LinkSchemaProps } from './utils';
export interface ApolloMockedProviderProps {
    mocks: ReadonlyArray<MockedResponse> | LinkSchemaProps;
    addTypename?: boolean;
    cacheOptions?: InMemoryCacheConfig;
    clientOptions?: ApolloClientOptions<NormalizedCacheObject>;
    Provider?: React.ComponentType<any>;
}
export declare const ApolloMockedProvider: React.FC<ApolloMockedProviderProps>;
